Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms
Interface CMSFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CMSFactoryImpl

    public interface CMSFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `CMSPackage`

Field Summary
`static CMSFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`CatalogContentRequestType` | `createCatalogContentRequestType()` Returns a new object of class 'Catalog Content Request Type'.
`CatalogContentResponseType` | `createCatalogContentResponseType()` Returns a new object of class 'Catalog Content Response Type'.
`ContentManagementServiceRequestType` | `createContentManagementServiceRequestType()` Returns a new object of class 'Content Management Service Request Type'.
`ContentManagementServiceResponseType` | `createContentManagementServiceResponseType()` Returns a new object of class 'Content Management Service Response Type'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`ValidateContentRequestType` | `createValidateContentRequestType()` Returns a new object of class 'Validate Content Request Type'.
`ValidateContentResponseType` | `createValidateContentResponseType()` Returns a new object of class 'Validate Content Response Type'.
`CMSPackage` | `getCMSPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final CMSFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createCatalogContentRequestType

    CatalogContentRequestType createCatalogContentRequestType()

  Returns a new object of class 'Catalog Content Request Type'.

  Returns:
    a new object of class 'Catalog Content Request Type'.

### createCatalogContentResponseType

    CatalogContentResponseType createCatalogContentResponseType()

  Returns a new object of class 'Catalog Content Response Type'.

  Returns:
    a new object of class 'Catalog Content Response Type'.

### createContentManagementServiceRequestType

    ContentManagementServiceRequestType createContentManagementServiceRequestType()

  Returns a new object of class 'Content Management Service Request Type'.

  Returns:
    a new object of class 'Content Management Service Request Type'.

### createContentManagementServiceResponseType

    ContentManagementServiceResponseType createContentManagementServiceResponseType()

  Returns a new object of class 'Content Management Service Response Type'.

  Returns:
    a new object of class 'Content Management Service Response Type'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createValidateContentRequestType

    ValidateContentRequestType createValidateContentRequestType()

  Returns a new object of class 'Validate Content Request Type'.

  Returns:
    a new object of class 'Validate Content Request Type'.

### createValidateContentResponseType

    ValidateContentResponseType createValidateContentResponseType()

  Returns a new object of class 'Validate Content Response Type'.

  Returns:
    a new object of class 'Validate Content Response Type'.

### getCMSPackage

    CMSPackage getCMSPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD